Commit ccfa5631 authored by Guido Günther's avatar Guido Günther

No need to depend on six anymore

parent f55ba3f8
......@@ -20,7 +20,6 @@ Build-Depends:
python3-nosexcover,
python3-pkg-resources,
python3-rpm,
python3-six,
python3-setuptools,
xsltproc,
# For the testsuite
......@@ -51,7 +50,6 @@ Depends: ${python3:Depends},
man-db,
python3-dateutil,
python3-pkg-resources,
python3-six,
Recommends: pristine-tar (>= 0.5),
cowbuilder | pbuilder | sbuild,
python3-requests
......
......@@ -83,7 +83,6 @@ This package contains the original Debian tools.
Summary: Common files for git-buildpackage debian and rpm tools
Group: Development/Tools/Building
Requires: git-core
Requires: python3-six
Requires: %{man_pkg_name}
Requires: %{python_pkg_name}
Requires: python3-setuptools
......
......@@ -73,10 +73,9 @@ setup(name="gbp",
'bin/gbp-builder-mock'],
packages=find_packages(exclude=['tests', 'tests.*']),
data_files=[("share/git-buildpackage/", ["gbp.conf"]), ],
requires=["six", 'dateutil'],
requires=['dateutil'],
install_requires=[
'python-dateutil',
'six>=1.9.0',
],
setup_requires=setup_requires(),
entry_points={
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment